# ifndef __SDL_JOY_H__
# define __SDL_JOY_H__

# ifdef __cplusplus
extern "C" {
# endif

#ifdef LINUX_MODE

//some keys of the keyboard to emulate jxd

#define JXD_UPLEFT         79 //SDLK_KP7
#define JXD_UP             80 //SDLK_KP8
#define JXD_UPRIGHT        81 //SDLK_KP9

#define JXD_LEFT           83 //SDLK_KP4
#define JXD_RIGHT          85 //SDLK_KP6

#define JXD_DOWNLEFT       87 //SDLK_KP1
#define JXD_DOWN           88 //SDLK_KP2
#define JXD_DOWNRIGHT      89 //SDLK_KP3

#define JXD_TRIANGLE       25
#define JXD_SQUARE         38
#define JXD_CROSS          53
#define JXD_CIRCLE         40

#define JXD_L              46 //SDLK_l
#define JXD_R              27 //SDLK_r
#define JXD_FIRE           65 //SDLK_SPACE
#define JXD_START          36 //SDLK_RETURN
#define JXD_SELECT         39 //SDLK_s

#endif

#define JXD_NOEVENT -1

#define DELAY_KEY_FIRST 250
#define DELAY_KEY_REPEAT 80
    

# ifdef __cplusplus
}
# endif

# endif
